EDIT - feature request #7301

Refresh open name editors when deleting specimen used in type designation

03/02/2018 12:28 PM - Katja Luther

Status: Worksforme Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal

Description

deleting of a specimen which is used in type specimen works as aspected, but when the taxon is opened in name editor, the name
editor/details view is not refreshed and the type designation is still shown. clicking on the button for opening the details of the

specimen throws an NPE.

Related issues:

Copied from EDIT - bug #6668: NPE in DetailsView when deleting a type specimen Closed

History

#1 - 03/02/2018 12:31 PM - Katja Luther

- Copied from bug #6668: NPE in DetailsView when deleting a type specimen added

#2 - 03/02/2018 03:16 PM - Patrick Plitzner

- Target version changed from Unassigned CDM tickets to Release 5.0

The refreshing of the name editor was the fix of #6668

So this ticket should be obsolete.

Katja, can you please check? | also checked after your changes to the updateEditor() method and it still worked.

#3 - 03/02/2018 03:16 PM - Patrick Plitzner

- Status changed from New to Feedback

#4 - 03/06/2018 09:58 AM - Katja Luther

- Status changed from Feedback to Worksforme

sorry, this was a mistake because | did not update my workspace. everything works fine.
